﻿@hierarchies @adoSpecific @bypass-integration
Feature: Folder and document (feature) name based Test Case hierarchy in Azure DevOps

Rule: A Test Suite hierarchy can be created based on the folder and feature name structure

@tc:1417
Scenario: A folder and feature name based hierarchy is initialized
	Given there is an Azure DevOps project
	And there are feature files with scenarios in the local repository as
		| feature file             | feature name    | scenarios |
		| FolderA/Feature1.feature | My Feature 1    | S1        |
		| FolderB/Feature2.feature | Other Feature 2 | S2        |
	And the synchronizer is configured as
		| setting             | value                   |
		| hierarchies[0]/type | foldersAndDocumentNames |
	When the local repository is synchronized with push
	Then the Test Suites should be created and contain the Test Cases as
		| test suite path         | test cases   |
		| FolderA/My Feature 1    | Scenario: S1 |
		| FolderB/Other Feature 2 | Scenario: S2 |

Rule: Folder prefix can be skipped

See same rule at [](AdoFolderBasedHierarchy.feature)