﻿@hierarchies @adoSpecific @bypass-integration
Feature: Folder and file based Test Case hierarchy in Azure DevOps

Rule: A Test Suite hierarchy can be created based on the folder and file structure

@tc:1418
Scenario: A folder and file based hierarchy is initialized
	Given there is an Azure DevOps project
	And there are feature files with scenarios in the local repository as
		| feature file                     | scenarios |
		| FolderA/Feature1.feature         | S1        |
		| FolderA/Feature2.feature         | S2, S3    |
		| FolderB/Feature3.feature         | S4        |
		| FolderB/FolderC/Feature4.feature | S5        |
		| Feature5.feature                 | S6        |
	And the synchronizer is configured as
		| setting             | value           |
		| hierarchies[0]/type | foldersAndFiles |
	When the local repository is synchronized with push
	Then the Test Suites should be created and contain the Test Cases as
		| test suite path          | test cases                 |
		| FolderA/Feature1         | Scenario: S1               |
		| FolderA/Feature2         | Scenario: S2, Scenario: S3 |
		| FolderB/Feature3         | Scenario: S4               |
		| FolderB/FolderC/Feature4 | Scenario: S5               |
		| Feature5                 | Scenario: S6               |

Rule: Folder prefix can be skipped

See same rule at [](AdoFolderBasedHierarchy.feature)