﻿@hierarchies @adoSpecific @bypass-integration
Feature: Folder based Test Case hierarchy in Azure DevOps

Rule: A Test Suite hierarchy can be created based on the folder structure

@tc:1419
Scenario: A folder based hierarchy is initialized
	Given there is an Azure DevOps project
	And there are feature files with scenarios in the local repository as
		| feature file                     | scenarios |
		| FolderA/Feature1.feature         | S1        |
		| FolderA/Feature2.feature         | S2        |
		| FolderB/Feature3.feature         | S3        |
		| FolderB/FolderC/Feature4.feature | S4        |
		| Feature5.feature                 | S5        |
	And the synchronizer is configured as
		| setting             | value   |
		| hierarchies[0]/type | folders |
	When the local repository is synchronized with push
	Then the Test Suites should be created and contain the Test Cases as
		| test suite path | test cases                 |
		| FolderA         | Scenario: S1, Scenario: S2 |
		| FolderB         | Scenario: S3               |
		| FolderB/FolderC | Scenario: S4               |
		| /               | Scenario: S5               |

Rule: Folder prefix can be skipped

@tc:1420
Scenario: The local root folders are skipped
	Given there is an Azure DevOps project
	And there are feature files with scenarios in the local repository as
		| feature file                          | scenarios |
		| src/Features/FolderA/Feature1.feature | S1        |
	And the synchronizer is configured as
		| setting                         | value        |
		| hierarchies[0]/type             | folders      |
		| hierarchies[0]/skipFolderPrefix | src/Features |
	When the local repository is synchronized with push
	Then the Test Suites should be created and contain the Test Cases as
		| test suite path | test cases   |
		| FolderA         | Scenario: S1 |
