﻿@hierarchies @adoSpecific @bypass-integration
Feature: Tag based Test Case hierarchy in Azure DevOps

This hierarchy type is essentially a custom parametrization of the levels based hierarchy

Rule: The Test Suite hierarchy can be created based on prefixed tag value

@tc:1440
Scenario: The sceanrios are tagged with the expected suite path
	Given there is an Azure DevOps project
	And there are scenarios in the local repository as
		| scenario | tags                        |
		| S1       | @suite:Pricing/Cat_Smoke    |
		| S2       | @suite:"A/C"/Cat_Regression | 
	And the synchronizer is configured as
		| setting                  | value |
		| hierarchies[0]/type      | tag   |
		| hierarchies[0]/tagPrefix | suite |
	When the local repository is synchronized with push
	Then the Test Suites should be created and contain the Test Cases as
		| test suite path      | test cases   | description                        |
		| Pricing/Cat_Smoke    | Scenario: S1 | tag contains suite path            |
		| "A/C"/Cat_Regression | Scenario: S2 | suite name contains path separator |

@tc:1441
Scenario: Supports different tag prefix separators
	Given there is an Azure DevOps project
	And there are scenarios in the local repository as
		| scenario | tags                                |
		| S1       | @suite:Pricing/Cat_Smoke            |
		| S2       | @suite=Authorization/Cat_Regression | 
	And the synchronizer is configured as
		| setting                                | value |
		| synchronization/tagPrefixSeparators[0] | :     |
		| synchronization/tagPrefixSeparators[1] | =     |
		| hierarchies[0]/type                    | tag   |
		| hierarchies[0]/tagPrefix               | suite |
	When the local repository is synchronized with push
	Then the Test Suites should be created and contain the Test Cases as
		| test suite path              | test cases   | description    |
		| Pricing/Cat_Smoke            | Scenario: S1 | tag prefix ':' |
		| Authorization/Cat_Regression | Scenario: S2 | tag prefix '=' |
