﻿@remoteScope @adoSpecific
Feature: Managed Query Remote Scope

Rule: Initialize & extend Managed Query Remote Scope

@tc:1442
Scenario: Linked test cases are added to a new Managed Query Remote Scope
	Given there is an Azure DevOps project
	And the synchronizer is configured as
		| setting           | value        |
		| remote/scope/type | managedQuery |
		| configurationKey  | Config01     |
	And there is a feature file in the local repository
		"""
		Feature: My Feature
		Scenario: Scenario 1
			When I do something
		Scenario: Scenario 2
			When I do something
		"""
	When the local repository is synchronized with push
	Then the Query "Shared Queries/.SpecSync.Internal/.SpecSync.Internal.Config01" should be created
	And the Query should contain the following Test Cases
		| test case            |
		| Scenario: Scenario 1 |
		| Scenario: Scenario 2 |


Rule: Remove Test Cases from Managed Query Remote Scope

@tc:1443
Scenario: The Test Case of a deleted scenario is removed from the Managed Query Remote Scope
	Given there is an Azure DevOps project
	And the synchronizer is configured as
		| setting           | value        |
		| remote/scope/type | managedQuery |
		| configurationKey  | Config01     |
	And there is an existing synchronized feature file
		"""
		Feature: My Feature

		@tc:[id-of-test-case-1]
		Scenario: Scenario 1
			When I do something

		@tc:[id-of-test-case-2]
		Scenario: Scenario 2
			When I do something
		"""
	When the feature file is updated to:
		"""
		Feature: My Feature

		# Scenario 1 deleted

		@tc:[id-of-test-case-2]
		Scenario: Scenario 2
			When I do something
		"""
	And the local repository is synchronized with push
	Then the Query "Shared Queries/.SpecSync.Internal/.SpecSync.Internal.Config01" should contain the following Test Cases
		| test case            |
		| Scenario: Scenario 2 |

@tc:1444
Scenario: The last Test Case is removed from the Managed Query Remote Scope
	Given there is an Azure DevOps project
	And the synchronizer is configured as
		| setting           | value        |
		| remote/scope/type | managedQuery |
		| configurationKey  | Config01     |
	And there is an existing synchronized feature file
		"""
		Feature: My Feature

		@tc:[id-of-test-case-1]
		Scenario: Scenario 1
			When I do something
		"""
	When the feature file is updated to:
		"""
		Feature: My Feature

		# Scenario 1 deleted
		"""
	And the local repository is synchronized with push
	Then the Query "Shared Queries/.SpecSync.Internal/.SpecSync.Internal.Config01" should contain the following Test Cases
		| test case            |


Rule: The Managed Query Remote Scope is not modified with dry-run mode

@tc:1445
@bypass-integration
Scenario: A new scenario is not included in a Managed Query when pushed in dry-run mode
	Given there is an Azure DevOps project
	And the synchronizer is configured as
		| setting           | value        |
		| remote/scope/type | managedQuery |
		| configurationKey  | Config01     |
	And there is an existing synchronized feature file
		"""
		Feature: My Feature

		@tc:[id-of-test-case-1]
		Scenario: Scenario 1
			When I do something
		"""
	When the feature file is updated to:
		"""
		Feature: My Feature

		@tc:[id-of-test-case-1]
		Scenario: Scenario 1
			When I do something

		Scenario: Scenario 2
			When I do something
		"""
	And the local repository is synchronized with push in dry-run mode
	Then the Query "Shared Queries/.SpecSync.Internal/.SpecSync.Internal.Config01" should contain the following Test Cases
		| test case            |
		| Scenario: Scenario 1 |

